Loading...
Searching...
No Matches
mongocxx::v1::events::topology_opening Class Reference

`#include <mongocxx/v1/events/topology_opening.hpp>`

## Description

TopologyOpeningEvent from the SDAM Logging and Monitoring specification.

See also
  - SDAM Logging and Monitoring (MongoDB Specifications)

## Public Member Functions

bsoncxx::v1::oid | topology_id () const
| Return the client-generated unique topology ID.

## Member Function Documentation

## topology_id()

bsoncxx::v1::oid mongocxx::v1::events::topology_opening::topology_id | ( |  | ) | const

Return the client-generated unique topology ID.

The documentation for this class was generated from the following file:

- mongocxx/v1/events/topology_opening.hpp